
package com.bs.ct.utils;

import java.util.UUID;


public final class UUIDUtils {


    private UUIDUtils() {

    }


    public static String generatorUUID() {
        UUID uuid = UUID.randomUUID();
        return uuid.toString().replaceAll("-", "");
    }

    /**
     * 获得20个长度的十六进制的UUID
     * @return UUID
     */
    public static String generator20UUID(){
        UUID id=UUID.randomUUID();
        String[] idd=id.toString().split("-");
        return idd[0]+idd[1]+idd[2]+idd[3];
    }
}
